New autotools version
[scilab.git] / scilab / modules / api_scilab / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - Digiteo - Allan CORNET
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 ### SOURCES ###
23
24 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
25 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
26 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
27 #
28 # This file must be used under the terms of the CeCILL.
29 # This source file is licensed as described in the file COPYING, which
30 # you should have received as part of this distribution.  The terms
31 # are also available at
32 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
33 #
34
35 ##########
36 ### Makefile included stuff
37 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
38 ##########
39
40
41
42 VPATH = @srcdir@
43 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
44 am__make_running_with_option = \
45   case $${target_option-} in \
46       ?) ;; \
47       *) echo "am__make_running_with_option: internal error: invalid" \
48               "target option '$${target_option-}' specified" >&2; \
49          exit 1;; \
50   esac; \
51   has_opt=no; \
52   sane_makeflags=$$MAKEFLAGS; \
53   if $(am__is_gnu_make); then \
54     sane_makeflags=$$MFLAGS; \
55   else \
56     case $$MAKEFLAGS in \
57       *\\[\ \   ]*) \
58         bs=\\; \
59         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
60           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
61     esac; \
62   fi; \
63   skip_next=no; \
64   strip_trailopt () \
65   { \
66     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
67   }; \
68   for flg in $$sane_makeflags; do \
69     test $$skip_next = yes && { skip_next=no; continue; }; \
70     case $$flg in \
71       *=*|--*) continue;; \
72         -*I) strip_trailopt 'I'; skip_next=yes;; \
73       -*I?*) strip_trailopt 'I';; \
74         -*O) strip_trailopt 'O'; skip_next=yes;; \
75       -*O?*) strip_trailopt 'O';; \
76         -*l) strip_trailopt 'l'; skip_next=yes;; \
77       -*l?*) strip_trailopt 'l';; \
78       -[dEDm]) skip_next=yes;; \
79       -[JT]) skip_next=yes;; \
80     esac; \
81     case $$flg in \
82       *$$target_option*) has_opt=yes; break;; \
83     esac; \
84   done; \
85   test $$has_opt = yes
86 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
87 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
88 pkgdatadir = $(datadir)/@PACKAGE@
89 pkgincludedir = $(includedir)/@PACKAGE@
90 pkglibdir = $(libdir)/@PACKAGE@
91 pkglibexecdir = $(libexecdir)/@PACKAGE@
92 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
93 install_sh_DATA = $(install_sh) -c -m 644
94 install_sh_PROGRAM = $(install_sh) -c
95 install_sh_SCRIPT = $(install_sh) -c
96 INSTALL_HEADER = $(INSTALL_DATA)
97 transform = $(program_transform_name)
98 NORMAL_INSTALL = :
99 PRE_INSTALL = :
100 POST_INSTALL = :
101 NORMAL_UNINSTALL = :
102 PRE_UNINSTALL = :
103 POST_UNINSTALL = :
104 build_triplet = @build@
105 host_triplet = @host@
106 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
107         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
108         $(top_srcdir)/config/depcomp \
109         $(libsciapi_scilab_la_include_HEADERS)
110 @NEED_JAVA_TRUE@am__append_1 = java
111 subdir = modules/api_scilab
112 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
113 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
114         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
115         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
116         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
117         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
118         $(top_srcdir)/m4/intel_compiler.m4 \
119         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
120         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
121         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
122         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
123         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
124         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
125         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
126         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
127         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
128         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
129         $(top_srcdir)/configure.ac
130 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
131         $(ACLOCAL_M4)
132 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
133 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
134 CONFIG_CLEAN_FILES =
135 CONFIG_CLEAN_VPATH_FILES =
136 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
137 am__vpath_adj = case $$p in \
138     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
139     *) f=$$p;; \
140   esac;
141 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
142 am__install_max = 40
143 am__nobase_strip_setup = \
144   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
145 am__nobase_strip = \
146   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
147 am__nobase_list = $(am__nobase_strip_setup); \
148   for p in $$list; do echo "$$p $$p"; done | \
149   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
150   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
151     if (++n[$$2] == $(am__install_max)) \
152       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
153     END { for (dir in files) print dir, files[dir] }'
154 am__base_list = \
155   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
156   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
157 am__uninstall_files_from_dir = { \
158   test -z "$$files" \
159     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
160     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
161          $(am__cd) "$$dir" && rm -f $$files; }; \
162   }
163 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
164         "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" \
165         "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" \
166         "$(DESTDIR)$(libsciapi_scilab_la_includedir)"
167 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
168 libsciapi_scilab_la_DEPENDENCIES =
169 am__objects_1 = libsciapi_scilab_la-api_boolean.lo \
170         libsciapi_scilab_la-api_boolean_sparse.lo \
171         libsciapi_scilab_la-api_common.lo \
172         libsciapi_scilab_la-api_double.lo \
173         libsciapi_scilab_la-api_int.lo libsciapi_scilab_la-api_list.lo \
174         libsciapi_scilab_la-api_poly.lo \
175         libsciapi_scilab_la-api_sparse.lo \
176         libsciapi_scilab_la-api_string.lo \
177         libsciapi_scilab_la-api_pointer.lo \
178         libsciapi_scilab_la-api_handle.lo \
179         libsciapi_scilab_la-api_error.lo \
180         libsciapi_scilab_la-api_optional.lo \
181         libsciapi_scilab_la-api_hypermat.lo
182 am_libsciapi_scilab_la_OBJECTS = $(am__objects_1)
183 libsciapi_scilab_la_OBJECTS = $(am_libsciapi_scilab_la_OBJECTS)
184 AM_V_lt = $(am__v_lt_@AM_V@)
185 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
186 am__v_lt_0 = --silent
187 am__v_lt_1 = 
188 @MAINTAINER_MODE_FALSE@am_libsciapi_scilab_la_rpath =
189 @MAINTAINER_MODE_TRUE@am_libsciapi_scilab_la_rpath = -rpath \
190 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
191 AM_V_P = $(am__v_P_@AM_V@)
192 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
193 am__v_P_0 = false
194 am__v_P_1 = :
195 AM_V_GEN = $(am__v_GEN_@AM_V@)
196 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
197 am__v_GEN_0 = @echo "  GEN     " $@;
198 am__v_GEN_1 = 
199 AM_V_at = $(am__v_at_@AM_V@)
200 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
201 am__v_at_0 = @
202 am__v_at_1 = 
203 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
204 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
205 am__depfiles_maybe = depfiles
206 am__mv = mv -f
207 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
208         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
209 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
210         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
211         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
212         $(AM_CXXFLAGS) $(CXXFLAGS)
213 AM_V_CXX = $(am__v_CXX_@AM_V@)
214 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
215 am__v_CXX_0 = @echo "  CXX     " $@;
216 am__v_CXX_1 = 
217 CXXLD = $(CXX)
218 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
219         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
220         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
221 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
222 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
223 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
224 am__v_CXXLD_1 = 
225 SOURCES = $(libsciapi_scilab_la_SOURCES)
226 DIST_SOURCES = $(libsciapi_scilab_la_SOURCES)
227 am__can_run_installinfo = \
228   case $$AM_UPDATE_INFO_DIR in \
229     n|no|NO) false;; \
230     *) (install-info --version) >/dev/null 2>&1;; \
231   esac
232 DATA = $(libsciapi_scilab_la_etc_DATA) \
233         $(libsciapi_scilab_la_root_DATA)
234 HEADERS = $(libsciapi_scilab_la_include_HEADERS)
235 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
236 # Read a list of newline-separated strings from the standard input,
237 # and print each of them once, without duplicates.  Input order is
238 # *not* preserved.
239 am__uniquify_input = $(AWK) '\
240   BEGIN { nonempty = 0; } \
241   { items[$$0] = 1; nonempty = 1; } \
242   END { if (nonempty) { for (i in items) print i; }; } \
243 '
244 # Make sure the list of sources is unique.  This is necessary because,
245 # e.g., the same source file might be shared among _SOURCES variables
246 # for different programs/libraries.
247 am__define_uniq_tagged_files = \
248   list='$(am__tagged_files)'; \
249   unique=`for i in $$list; do \
250     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
251   done | $(am__uniquify_input)`
252 ETAGS = etags
253 CTAGS = ctags
254 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
255 ACLOCAL = @ACLOCAL@
256 ALL_LINGUAS = @ALL_LINGUAS@
257 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
258 AMTAR = @AMTAR@
259 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
260 ANT = @ANT@
261 ANTLR = @ANTLR@
262 AR = @AR@
263 ARPACK_LIBS = @ARPACK_LIBS@
264 ASM3 = @ASM3@
265 AUTOCONF = @AUTOCONF@
266 AUTOHEADER = @AUTOHEADER@
267 AUTOMAKE = @AUTOMAKE@
268 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
269 AWK = @AWK@
270 BATIK = @BATIK@
271 BLAS_LIBS = @BLAS_LIBS@
272 CC = @CC@
273 CCACHE = @CCACHE@
274 CCDEPMODE = @CCDEPMODE@
275 CFLAGS = @CFLAGS@
276 CHECKSTYLE = @CHECKSTYLE@
277 COBERTURA = @COBERTURA@
278 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
279 COMMONS_IO = @COMMONS_IO@
280 COMMONS_LOGGING = @COMMONS_LOGGING@
281 CPP = @CPP@
282 CPPFLAGS = @CPPFLAGS@
283 CURL_CFLAGS = @CURL_CFLAGS@
284 CURL_CONFIG = @CURL_CONFIG@
285 CURL_LIBS = @CURL_LIBS@
286 CURL_VERSION = @CURL_VERSION@
287 CXX = @CXX@
288 CXXCPP = @CXXCPP@
289 CXXDEPMODE = @CXXDEPMODE@
290 CXXFLAGS = @CXXFLAGS@
291 CYGPATH_W = @CYGPATH_W@
292 DEFS = @DEFS@
293 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
294 DEPDIR = @DEPDIR@
295 DOCBOOK_ROOT = @DOCBOOK_ROOT@
296 DOXYGEN_BIN = @DOXYGEN_BIN@
297 DSYMUTIL = @DSYMUTIL@
298 DUMPBIN = @DUMPBIN@
299 ECHO_C = @ECHO_C@
300 ECHO_N = @ECHO_N@
301 ECHO_T = @ECHO_T@
302 EGREP = @EGREP@
303 EXEEXT = @EXEEXT@
304 F77 = @F77@
305 FFLAGS = @FFLAGS@
306 FFTW3_LIB = @FFTW3_LIB@
307 FFTW_ENABLE = @FFTW_ENABLE@
308 FGREP = @FGREP@
309 FLEXDOCK = @FLEXDOCK@
310 FLIBS = @FLIBS@
311 FOP = @FOP@
312 GENHTML = @GENHTML@
313 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
314 GIWS_BIN = @GIWS_BIN@
315 GLUEGEN2_RT = @GLUEGEN2_RT@
316 GMSGFMT = @GMSGFMT@
317 GMSGFMT_015 = @GMSGFMT_015@
318 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
319 GREP = @GREP@
320 GUI_ENABLE = @GUI_ENABLE@
321 HDF5_CFLAGS = @HDF5_CFLAGS@
322 HDF5_LIBS = @HDF5_LIBS@
323 HELP_ENABLE = @HELP_ENABLE@
324 INSTALL = @INSTALL@
325 INSTALL_DATA = @INSTALL_DATA@
326 INSTALL_PROGRAM = @INSTALL_PROGRAM@
327 INSTALL_SCRIPT = @INSTALL_SCRIPT@
328 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
329 INTLLIBS = @INTLLIBS@
330 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
331 JAR = @JAR@
332 JAVA = @JAVA@
333 JAVAC = @JAVAC@
334 JAVAC_DEBUG = @JAVAC_DEBUG@
335 JAVADOC = @JAVADOC@
336 JAVAH = @JAVAH@
337 JAVASCI_ENABLE = @JAVASCI_ENABLE@
338 JAVA_ENABLE = @JAVA_ENABLE@
339 JAVA_G = @JAVA_G@
340 JAVA_HOME = @JAVA_HOME@
341 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
342 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
343 JDB = @JDB@
344 JEUCLID_CORE = @JEUCLID_CORE@
345 JGRAPHX = @JGRAPHX@
346 JHALL = @JHALL@
347 JLATEXMATH = @JLATEXMATH@
348 JLATEXMATH_FOP = @JLATEXMATH_FOP@
349 JOGL2 = @JOGL2@
350 JROSETTA_API = @JROSETTA_API@
351 JROSETTA_ENGINE = @JROSETTA_ENGINE@
352 JUNIT4 = @JUNIT4@
353 LAPACK_LIBS = @LAPACK_LIBS@
354 LCOV = @LCOV@
355 LD = @LD@
356 LDFLAGS = @LDFLAGS@
357 LIBICONV = @LIBICONV@
358 LIBINTL = @LIBINTL@
359 LIBM = @LIBM@
360 LIBOBJS = @LIBOBJS@
361 LIBS = @LIBS@
362 LIBTOOL = @LIBTOOL@
363 LIPO = @LIPO@
364 LN_S = @LN_S@
365 LOGGING_LEVEL = @LOGGING_LEVEL@
366 LOOKS = @LOOKS@
367 LTLIBICONV = @LTLIBICONV@
368 LTLIBINTL = @LTLIBINTL@
369 LTLIBOBJS = @LTLIBOBJS@
370 MAINT = @MAINT@
371 MAKEINFO = @MAKEINFO@
372 MATIO_CFLAGS = @MATIO_CFLAGS@
373 MATIO_ENABLE = @MATIO_ENABLE@
374 MATIO_LIBS = @MATIO_LIBS@
375 MKDIR_P = @MKDIR_P@
376 MSGCAT = @MSGCAT@
377 MSGFMT = @MSGFMT@
378 MSGFMT_015 = @MSGFMT_015@
379 MSGMERGE = @MSGMERGE@
380 NM = @NM@
381 NMEDIT = @NMEDIT@
382 OBJDUMP = @OBJDUMP@
383 OBJEXT = @OBJEXT@
384 OCAMLC = @OCAMLC@
385 OCAMLDEP = @OCAMLDEP@
386 OCAMLLEX = @OCAMLLEX@
387 OCAMLOPT = @OCAMLOPT@
388 OCAMLYACC = @OCAMLYACC@
389 OPENMP_CFLAGS = @OPENMP_CFLAGS@
390 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
391 OPENMP_ENABLE = @OPENMP_ENABLE@
392 OPENMP_LIBS = @OPENMP_LIBS@
393 OTOOL = @OTOOL@
394 OTOOL64 = @OTOOL64@
395 PACKAGE = @PACKAGE@
396 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
397 PACKAGE_NAME = @PACKAGE_NAME@
398 PACKAGE_STRING = @PACKAGE_STRING@
399 PACKAGE_TARNAME = @PACKAGE_TARNAME@
400 PACKAGE_URL = @PACKAGE_URL@
401 PACKAGE_VERSION = @PACKAGE_VERSION@
402 PATH_SEPARATOR = @PATH_SEPARATOR@
403 PCRE_CFLAGS = @PCRE_CFLAGS@
404 PCRE_CONFIG = @PCRE_CONFIG@
405 PCRE_LIBS = @PCRE_LIBS@
406 PCRE_VERSION = @PCRE_VERSION@
407 PKG_CONFIG = @PKG_CONFIG@
408 POSUB = @POSUB@
409 POW_LIB = @POW_LIB@
410 PYTHON = @PYTHON@
411 RANLIB = @RANLIB@
412 RELOCATABLE = @RELOCATABLE@
413 RT_LIB = @RT_LIB@
414 SAXON = @SAXON@
415 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
416 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
417 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
418 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
419 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
420 SCIRENDERER = @SCIRENDERER@
421 SCIRENDERER_CP = @SCIRENDERER_CP@
422 SCI_CFLAGS = @SCI_CFLAGS@
423 SCI_CXXFLAGS = @SCI_CXXFLAGS@
424 SCI_FFLAGS = @SCI_FFLAGS@
425 SCI_LDFLAGS = @SCI_LDFLAGS@
426 SED = @SED@
427 SET_MAKE = @SET_MAKE@
428 SET_RELOCATABLE = @SET_RELOCATABLE@
429 SHELL = @SHELL@
430 SKINLF = @SKINLF@
431 SPLINT = @SPLINT@
432 STRIP = @STRIP@
433 SWIG_BIN = @SWIG_BIN@
434 SWIG_JAVA = @SWIG_JAVA@
435 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
436 TCLTK_LIBS = @TCLTK_LIBS@
437 TCL_INC_PATH = @TCL_INC_PATH@
438 TK_INC_PATH = @TK_INC_PATH@
439 UMFPACK_ENABLE = @UMFPACK_ENABLE@
440 UMFPACK_LIB = @UMFPACK_LIB@
441 USE_NLS = @USE_NLS@
442 VERSION = @VERSION@
443 WITH_OCAML = @WITH_OCAML@
444 WITH_TKSCI = @WITH_TKSCI@
445 XCOS_ENABLE = @XCOS_ENABLE@
446 XGETTEXT = @XGETTEXT@
447 XGETTEXT_015 = @XGETTEXT_015@
448 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
449 XMKMF = @XMKMF@
450 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
451 XML_APIS_EXT = @XML_APIS_EXT@
452 XML_CONFIG = @XML_CONFIG@
453 XML_FLAGS = @XML_FLAGS@
454 XML_LIBS = @XML_LIBS@
455 XML_VERSION = @XML_VERSION@
456 X_CFLAGS = @X_CFLAGS@
457 X_EXTRA_LIBS = @X_EXTRA_LIBS@
458 X_LIBS = @X_LIBS@
459 X_PRE_LIBS = @X_PRE_LIBS@
460 abs_builddir = @abs_builddir@
461 abs_srcdir = @abs_srcdir@
462 abs_top_builddir = @abs_top_builddir@
463 abs_top_srcdir = @abs_top_srcdir@
464 ac_ct_AR = @ac_ct_AR@
465 ac_ct_CC = @ac_ct_CC@
466 ac_ct_CXX = @ac_ct_CXX@
467 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
468 ac_ct_F77 = @ac_ct_F77@
469 am__include = @am__include@
470 am__leading_dot = @am__leading_dot@
471 am__quote = @am__quote@
472 am__tar = @am__tar@
473 am__untar = @am__untar@
474 bindir = @bindir@
475 build = @build@
476 build_alias = @build_alias@
477 build_cpu = @build_cpu@
478 build_os = @build_os@
479 build_vendor = @build_vendor@
480 builddir = @builddir@
481 cxx_present = @cxx_present@
482 datadir = @datadir@
483 datarootdir = @datarootdir@
484 docdir = @docdir@
485 dvidir = @dvidir@
486 exec_prefix = @exec_prefix@
487 host = @host@
488 host_alias = @host_alias@
489 host_cpu = @host_cpu@
490 host_os = @host_os@
491 host_vendor = @host_vendor@
492 htmldir = @htmldir@
493 includedir = @includedir@
494 infodir = @infodir@
495 install_sh = @install_sh@
496 libdir = @libdir@
497 libexecdir = @libexecdir@
498 localedir = @localedir@
499 localstatedir = @localstatedir@
500 mandir = @mandir@
501 mkdir_p = @mkdir_p@
502 oldincludedir = @oldincludedir@
503 pdfdir = @pdfdir@
504 prefix = @prefix@
505 program_transform_name = @program_transform_name@
506 psdir = @psdir@
507 sbindir = @sbindir@
508 sharedstatedir = @sharedstatedir@
509 srcdir = @srcdir@
510 sysconfdir = @sysconfdir@
511 target_alias = @target_alias@
512 top_build_prefix = @top_build_prefix@
513 top_builddir = @top_builddir@
514 top_srcdir = @top_srcdir@
515 API_SCILAB_CXX_SOURCES = src/cpp/api_boolean.cpp \
516 src/cpp/api_boolean_sparse.cpp \
517 src/cpp/api_common.cpp \
518 src/cpp/api_double.cpp \
519 src/cpp/api_int.cpp \
520 src/cpp/api_list.cpp \
521 src/cpp/api_poly.cpp \
522 src/cpp/api_sparse.cpp \
523 src/cpp/api_string.cpp \
524 src/cpp/api_pointer.cpp \
525 src/cpp/api_handle.cpp \
526 src/cpp/api_error.cpp \
527 src/cpp/api_optional.cpp \
528 src/cpp/api_hypermat.cpp
529
530 libsciapi_scilab_la_CPPFLAGS = -I$(srcdir)/includes/ \
531 -I$(srcdir)/src/cpp/ \
532 -I$(top_srcdir)/modules/core/includes/ \
533 -I$(top_srcdir)/modules/call_scilab/includes/ \
534 -I$(top_srcdir)/modules/localization/includes/ \
535 -I$(top_srcdir)/modules/output_stream/includes/ \
536 -I$(top_srcdir)/modules/string/includes/ \
537 $(AM_CPPFLAGS)
538
539 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciapi_scilab.la
540 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciapi_scilab.la
541 libsciapi_scilab_la_SOURCES = $(API_SCILAB_C_SOURCES) $(API_SCILAB_CXX_SOURCES)
542
543 # For the code check (splint)
544 CHECK_SRC = $(libsciapi_scilab_la_SOURCES)
545 INCLUDE_FLAGS = $(libsciapi_scilab_la_CPPFLAGS)
546 libsciapi_scilab_la_LIBADD = 
547 #
548
549 #### Target ######
550 modulename = api_scilab
551
552 #### api_scilab : Conf files ####
553 libsciapi_scilab_la_rootdir = $(mydatadir)
554 libsciapi_scilab_la_root_DATA = license.txt
555
556 #### api_scilab : init scripts ####
557 libsciapi_scilab_la_etcdir = $(mydatadir)/etc
558 libsciapi_scilab_la_etc_DATA = etc/api_scilab.quit etc/api_scilab.start
559
560 #### api_scilab : include files ####
561 libsciapi_scilab_la_includedir = $(pkgincludedir)
562 libsciapi_scilab_la_include_HEADERS = includes/api_boolean.h \
563 includes/api_boolean_sparse.h \
564 includes/api_common.h \
565 includes/api_error.h \
566 includes/api_double.h \
567 includes/api_hypermat.h \
568 includes/api_int.h \
569 includes/api_list.h \
570 includes/api_pointer.h \
571 includes/api_poly.h \
572 includes/api_sparse.h \
573 includes/api_string.h \
574 includes/api_handle.h \
575 includes/api_optional.h \
576 includes/api_scilab.h
577
578
579 # Where all the Scilab stuff is installed (macros, help, ...)
580 mydatadir = $(pkgdatadir)/modules/$(modulename)
581
582 # Set AM_* SCI detected settings
583 AM_CPPFLAGS = $(SCI_CPPFLAGS)
584 AM_CFLAGS = $(SCI_CFLAGS)
585 AM_CXXFLAGS = $(SCI_CXXFLAGS)
586 # append includes to AM_FFLAGS to manage fortran includes
587 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
588
589 # Tag shared libraries with the Scilab version
590 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
591
592 # splint options
593 SPLINT_OPTIONS = -weak -booltype BOOL
594
595 ########################### JAVA ######################################
596 #### We are delegating java compilation to ant... Thanks to that
597 #### the procedure will be the same with Microsoft Windows (C)
598 #### and Linux/Unix
599 #######################################################################
600 TARGETS_ALL = $(am__append_1)
601
602 ################ MACROS ######################
603 # Rule to build a macro
604 # NOT USED  AT THE MOMENT
605 SUFFIXES = .sci 
606
607 ########### INSTALL DOCUMENTATION ###################
608
609 # Install documentation files into the right target
610 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
611 # automake needs the html files to be present which is not the case when
612 # we are building Scilab
613
614 # Where it should be installed
615 pkgdocdir = $(mydatadir)
616
617 # What is the mask of the help source
618 DOCMASKXML = *.xml
619
620 # What is the mask of the MathML sources
621 DOCMASKMML = *.mml
622
623 ########### INSTALL DATA ###################
624 # Install macros, help & demos
625 # Where it should be installed
626 pkgmacrosdir = $(mydatadir)
627 # Which directory we process
628 MACRODIRS = macros/
629 # Mask of the Scilab sources macros
630 MACROMASK = *.sci
631 # Mask of the Scilab executable sources macros
632 MACROBUILDMASK = *.sce
633 # Mask of the Scilab compiled macros
634 MACROBINMASK = *.bin
635 # List of the standard directory for tests
636 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
637 # Where the demos should be installed
638 pkgdemosdir = $(mydatadir)
639 # List of the standard directory for demos
640 DEMOS_DIR = demos
641 # List of the standard directory for examples
642 EXAMPLES_DIR = examples
643 # Where to export JAVA archives (.jar)
644 JARDIR = jar/
645 # JAR files mask
646 JARMASK = *.jar
647 # Chapter file 
648 HELP_CHAPTERDIR = help/
649 HELP_CHAPTERFILE = addchapter.sce
650 HELP_CHAPTERLANG = en_US fr_FR pt_BR
651 all: all-am
652
653 .SUFFIXES:
654 .SUFFIXES: .sci .bin .cpp .lo .o .obj
655 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
656         @for dep in $?; do \
657           case '$(am__configure_deps)' in \
658             *$$dep*) \
659               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
660                 && { if test -f $@; then exit 0; else break; fi; }; \
661               exit 1;; \
662           esac; \
663         done; \
664         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/api_scilab/Makefile'; \
665         $(am__cd) $(top_srcdir) && \
666           $(AUTOMAKE) --foreign modules/api_scilab/Makefile
667 .PRECIOUS: Makefile
668 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
669         @case '$?' in \
670           *config.status*) \
671             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
672           *) \
673             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
674             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
675         esac;
676 $(top_srcdir)/Makefile.incl.am:
677
678 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
679         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
680
681 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
682         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
683 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
684         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
685 $(am__aclocal_m4_deps):
686
687 clean-noinstLTLIBRARIES:
688         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
689         @list='$(noinst_LTLIBRARIES)'; \
690         locs=`for p in $$list; do echo $$p; done | \
691               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
692               sort -u`; \
693         test -z "$$locs" || { \
694           echo rm -f $${locs}; \
695           rm -f $${locs}; \
696         }
697
698 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
699         @$(NORMAL_INSTALL)
700         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
701         list2=; for p in $$list; do \
702           if test -f $$p; then \
703             list2="$$list2 $$p"; \
704           else :; fi; \
705         done; \
706         test -z "$$list2" || { \
707           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
708           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
709           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
710           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
711         }
712
713 uninstall-pkglibLTLIBRARIES:
714         @$(NORMAL_UNINSTALL)
715         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
716         for p in $$list; do \
717           $(am__strip_dir) \
718           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
719           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
720         done
721
722 clean-pkglibLTLIBRARIES:
723         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
724         @list='$(pkglib_LTLIBRARIES)'; \
725         locs=`for p in $$list; do echo $$p; done | \
726               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
727               sort -u`; \
728         test -z "$$locs" || { \
729           echo rm -f $${locs}; \
730           rm -f $${locs}; \
731         }
732
733 libsciapi_scilab.la: $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_DEPENDENCIES) $(EXTRA_libsciapi_scilab_la_DEPENDENCIES) 
734         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciapi_scilab_la_rpath) $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_LIBADD) $(LIBS)
735
736 mostlyclean-compile:
737         -rm -f *.$(OBJEXT)
738
739 distclean-compile:
740         -rm -f *.tab.c
741
742 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_boolean.Plo@am__quote@
743 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Plo@am__quote@
744 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_common.Plo@am__quote@
745 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_double.Plo@am__quote@
746 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_error.Plo@am__quote@
747 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_handle.Plo@am__quote@
748 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_hypermat.Plo@am__quote@
749 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_int.Plo@am__quote@
750 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_list.Plo@am__quote@
751 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_optional.Plo@am__quote@
752 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_pointer.Plo@am__quote@
753 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_poly.Plo@am__quote@
754 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_sparse.Plo@am__quote@
755 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_string.Plo@am__quote@
756
757 .cpp.o:
758 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
759 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
760 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
761 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
762 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
763
764 .cpp.obj:
765 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
766 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
767 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
768 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
769 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
770
771 .cpp.lo:
772 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
773 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
774 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
775 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
776 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
777
778 libsciapi_scilab_la-api_boolean.lo: src/cpp/api_boolean.cpp
779 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_boolean.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_boolean.Tpo -c -o libsciapi_scilab_la-api_boolean.lo `test -f 'src/cpp/api_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean.cpp
780 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_boolean.Tpo $(DEPDIR)/libsciapi_scilab_la-api_boolean.Plo
781 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_boolean.cpp' object='libsciapi_scilab_la-api_boolean.lo' libtool=yes @AMDEPBACKSLASH@
782 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
783 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_boolean.lo `test -f 'src/cpp/api_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean.cpp
784
785 libsciapi_scilab_la-api_boolean_sparse.lo: src/cpp/api_boolean_sparse.cpp
786 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_boolean_sparse.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Tpo -c -o libsciapi_scilab_la-api_boolean_sparse.lo `test -f 'src/cpp/api_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean_sparse.cpp
787 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Tpo $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Plo
788 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_boolean_sparse.cpp' object='libsciapi_scilab_la-api_boolean_sparse.lo' libtool=yes @AMDEPBACKSLASH@
789 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
790 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_boolean_sparse.lo `test -f 'src/cpp/api_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean_sparse.cpp
791
792 libsciapi_scilab_la-api_common.lo: src/cpp/api_common.cpp
793 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_common.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_common.Tpo -c -o libsciapi_scilab_la-api_common.lo `test -f 'src/cpp/api_common.cpp' || echo '$(srcdir)/'`src/cpp/api_common.cpp
794 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_common.Tpo $(DEPDIR)/libsciapi_scilab_la-api_common.Plo
795 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_common.cpp' object='libsciapi_scilab_la-api_common.lo' libtool=yes @AMDEPBACKSLASH@
796 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
797 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_common.lo `test -f 'src/cpp/api_common.cpp' || echo '$(srcdir)/'`src/cpp/api_common.cpp
798
799 libsciapi_scilab_la-api_double.lo: src/cpp/api_double.cpp
800 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_double.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_double.Tpo -c -o libsciapi_scilab_la-api_double.lo `test -f 'src/cpp/api_double.cpp' || echo '$(srcdir)/'`src/cpp/api_double.cpp
801 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_double.Tpo $(DEPDIR)/libsciapi_scilab_la-api_double.Plo
802 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_double.cpp' object='libsciapi_scilab_la-api_double.lo' libtool=yes @AMDEPBACKSLASH@
803 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_double.lo `test -f 'src/cpp/api_double.cpp' || echo '$(srcdir)/'`src/cpp/api_double.cpp
805
806 libsciapi_scilab_la-api_int.lo: src/cpp/api_int.cpp
807 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_int.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_int.Tpo -c -o libsciapi_scilab_la-api_int.lo `test -f 'src/cpp/api_int.cpp' || echo '$(srcdir)/'`src/cpp/api_int.cpp
808 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_int.Tpo $(DEPDIR)/libsciapi_scilab_la-api_int.Plo
809 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_int.cpp' object='libsciapi_scilab_la-api_int.lo' libtool=yes @AMDEPBACKSLASH@
810 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
811 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_int.lo `test -f 'src/cpp/api_int.cpp' || echo '$(srcdir)/'`src/cpp/api_int.cpp
812
813 libsciapi_scilab_la-api_list.lo: src/cpp/api_list.cpp
814 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_list.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_list.Tpo -c -o libsciapi_scilab_la-api_list.lo `test -f 'src/cpp/api_list.cpp' || echo '$(srcdir)/'`src/cpp/api_list.cpp
815 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_list.Tpo $(DEPDIR)/libsciapi_scilab_la-api_list.Plo
816 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_list.cpp' object='libsciapi_scilab_la-api_list.lo' libtool=yes @AMDEPBACKSLASH@
817 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
818 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_list.lo `test -f 'src/cpp/api_list.cpp' || echo '$(srcdir)/'`src/cpp/api_list.cpp
819
820 libsciapi_scilab_la-api_poly.lo: src/cpp/api_poly.cpp
821 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_poly.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_poly.Tpo -c -o libsciapi_scilab_la-api_poly.lo `test -f 'src/cpp/api_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_poly.cpp
822 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_poly.Tpo $(DEPDIR)/libsciapi_scilab_la-api_poly.Plo
823 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_poly.cpp' object='libsciapi_scilab_la-api_poly.lo' libtool=yes @AMDEPBACKSLASH@
824 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
825 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_poly.lo `test -f 'src/cpp/api_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_poly.cpp
826
827 libsciapi_scilab_la-api_sparse.lo: src/cpp/api_sparse.cpp
828 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_sparse.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_sparse.Tpo -c -o libsciapi_scilab_la-api_sparse.lo `test -f 'src/cpp/api_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_sparse.cpp
829 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_sparse.Tpo $(DEPDIR)/libsciapi_scilab_la-api_sparse.Plo
830 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_sparse.cpp' object='libsciapi_scilab_la-api_sparse.lo' libtool=yes @AMDEPBACKSLASH@
831 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
832 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_sparse.lo `test -f 'src/cpp/api_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_sparse.cpp
833
834 libsciapi_scilab_la-api_string.lo: src/cpp/api_string.cpp
835 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_string.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_string.Tpo -c -o libsciapi_scilab_la-api_string.lo `test -f 'src/cpp/api_string.cpp' || echo '$(srcdir)/'`src/cpp/api_string.cpp
836 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_string.Tpo $(DEPDIR)/libsciapi_scilab_la-api_string.Plo
837 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_string.cpp' object='libsciapi_scilab_la-api_string.lo' libtool=yes @AMDEPBACKSLASH@
838 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_string.lo `test -f 'src/cpp/api_string.cpp' || echo '$(srcdir)/'`src/cpp/api_string.cpp
840
841 libsciapi_scilab_la-api_pointer.lo: src/cpp/api_pointer.cpp
842 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_pointer.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_pointer.Tpo -c -o libsciapi_scilab_la-api_pointer.lo `test -f 'src/cpp/api_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_pointer.cpp
843 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_pointer.Tpo $(DEPDIR)/libsciapi_scilab_la-api_pointer.Plo
844 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_pointer.cpp' object='libsciapi_scilab_la-api_pointer.lo' libtool=yes @AMDEPBACKSLASH@
845 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_pointer.lo `test -f 'src/cpp/api_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_pointer.cpp
847
848 libsciapi_scilab_la-api_handle.lo: src/cpp/api_handle.cpp
849 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_handle.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_handle.Tpo -c -o libsciapi_scilab_la-api_handle.lo `test -f 'src/cpp/api_handle.cpp' || echo '$(srcdir)/'`src/cpp/api_handle.cpp
850 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_handle.Tpo $(DEPDIR)/libsciapi_scilab_la-api_handle.Plo
851 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_handle.cpp' object='libsciapi_scilab_la-api_handle.lo' libtool=yes @AMDEPBACKSLASH@
852 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
853 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_handle.lo `test -f 'src/cpp/api_handle.cpp' || echo '$(srcdir)/'`src/cpp/api_handle.cpp
854
855 libsciapi_scilab_la-api_error.lo: src/cpp/api_error.cpp
856 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_error.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_error.Tpo -c -o libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
857 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_error.Tpo $(DEPDIR)/libsciapi_scilab_la-api_error.Plo
858 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_error.cpp' object='libsciapi_scilab_la-api_error.lo' libtool=yes @AMDEPBACKSLASH@
859 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
860 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
861
862 libsciapi_scilab_la-api_optional.lo: src/cpp/api_optional.cpp
863 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_optional.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_optional.Tpo -c -o libsciapi_scilab_la-api_optional.lo `test -f 'src/cpp/api_optional.cpp' || echo '$(srcdir)/'`src/cpp/api_optional.cpp
864 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_optional.Tpo $(DEPDIR)/libsciapi_scilab_la-api_optional.Plo
865 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_optional.cpp' object='libsciapi_scilab_la-api_optional.lo' libtool=yes @AMDEPBACKSLASH@
866 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
867 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_optional.lo `test -f 'src/cpp/api_optional.cpp' || echo '$(srcdir)/'`src/cpp/api_optional.cpp
868
869 libsciapi_scilab_la-api_hypermat.lo: src/cpp/api_hypermat.cpp
870 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_hypermat.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_hypermat.Tpo -c -o libsciapi_scilab_la-api_hypermat.lo `test -f 'src/cpp/api_hypermat.cpp' || echo '$(srcdir)/'`src/cpp/api_hypermat.cpp
871 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_hypermat.Tpo $(DEPDIR)/libsciapi_scilab_la-api_hypermat.Plo
872 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_hypermat.cpp' object='libsciapi_scilab_la-api_hypermat.lo' libtool=yes @AMDEPBACKSLASH@
873 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
874 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_hypermat.lo `test -f 'src/cpp/api_hypermat.cpp' || echo '$(srcdir)/'`src/cpp/api_hypermat.cpp
875
876 mostlyclean-libtool:
877         -rm -f *.lo
878
879 clean-libtool:
880         -rm -rf .libs _libs
881 install-libsciapi_scilab_la_etcDATA: $(libsciapi_scilab_la_etc_DATA)
882         @$(NORMAL_INSTALL)
883         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
884         if test -n "$$list"; then \
885           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
886           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit 1; \
887         fi; \
888         for p in $$list; do \
889           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
890           echo "$$d$$p"; \
891         done | $(am__base_list) | \
892         while read files; do \
893           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
894           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit $$?; \
895         done
896
897 uninstall-libsciapi_scilab_la_etcDATA:
898         @$(NORMAL_UNINSTALL)
899         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
900         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
901         dir='$(DESTDIR)$(libsciapi_scilab_la_etcdir)'; $(am__uninstall_files_from_dir)
902 install-libsciapi_scilab_la_rootDATA: $(libsciapi_scilab_la_root_DATA)
903         @$(NORMAL_INSTALL)
904         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
905         if test -n "$$list"; then \
906           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
907           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit 1; \
908         fi; \
909         for p in $$list; do \
910           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
911           echo "$$d$$p"; \
912         done | $(am__base_list) | \
913         while read files; do \
914           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
915           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit $$?; \
916         done
917
918 uninstall-libsciapi_scilab_la_rootDATA:
919         @$(NORMAL_UNINSTALL)
920         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
921         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
922         dir='$(DESTDIR)$(libsciapi_scilab_la_rootdir)'; $(am__uninstall_files_from_dir)
923 install-libsciapi_scilab_la_includeHEADERS: $(libsciapi_scilab_la_include_HEADERS)
924         @$(NORMAL_INSTALL)
925         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
926         if test -n "$$list"; then \
927           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
928           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit 1; \
929         fi; \
930         for p in $$list; do \
931           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
932           echo "$$d$$p"; \
933         done | $(am__base_list) | \
934         while read files; do \
935           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
936           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit $$?; \
937         done
938
939 uninstall-libsciapi_scilab_la_includeHEADERS:
940         @$(NORMAL_UNINSTALL)
941         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
942         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
943         dir='$(DESTDIR)$(libsciapi_scilab_la_includedir)'; $(am__uninstall_files_from_dir)
944
945 ID: $(am__tagged_files)
946         $(am__define_uniq_tagged_files); mkid -fID $$unique
947 tags: tags-am
948 TAGS: tags
949
950 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
951         set x; \
952         here=`pwd`; \
953         $(am__define_uniq_tagged_files); \
954         shift; \
955         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
956           test -n "$$unique" || unique=$$empty_fix; \
957           if test $$# -gt 0; then \
958             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
959               "$$@" $$unique; \
960           else \
961             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
962               $$unique; \
963           fi; \
964         fi
965 ctags: ctags-am
966
967 CTAGS: ctags
968 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
969         $(am__define_uniq_tagged_files); \
970         test -z "$(CTAGS_ARGS)$$unique" \
971           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
972              $$unique
973
974 GTAGS:
975         here=`$(am__cd) $(top_builddir) && pwd` \
976           && $(am__cd) $(top_srcdir) \
977           && gtags -i $(GTAGS_ARGS) "$$here"
978 cscopelist: cscopelist-am
979
980 cscopelist-am: $(am__tagged_files)
981         list='$(am__tagged_files)'; \
982         case "$(srcdir)" in \
983           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
984           *) sdir=$(subdir)/$(srcdir) ;; \
985         esac; \
986         for i in $$list; do \
987           if test -f "$$i"; then \
988             echo "$(subdir)/$$i"; \
989           else \
990             echo "$$sdir/$$i"; \
991           fi; \
992         done >> $(top_builddir)/cscope.files
993
994 distclean-tags:
995         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
996
997 distdir: $(DISTFILES)
998         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
999         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1000         list='$(DISTFILES)'; \
1001           dist_files=`for file in $$list; do echo $$file; done | \
1002           sed -e "s|^$$srcdirstrip/||;t" \
1003               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1004         case $$dist_files in \
1005           */*) $(MKDIR_P) `echo "$$dist_files" | \
1006                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1007                            sort -u` ;; \
1008         esac; \
1009         for file in $$dist_files; do \
1010           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1011           if test -d $$d/$$file; then \
1012             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1013             if test -d "$(distdir)/$$file"; then \
1014               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1015             fi; \
1016             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1017               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1018               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1019             fi; \
1020             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1021           else \
1022             test -f "$(distdir)/$$file" \
1023             || cp -p $$d/$$file "$(distdir)/$$file" \
1024             || exit 1; \
1025           fi; \
1026         done
1027 check-am: all-am
1028         $(MAKE) $(AM_MAKEFLAGS) check-local
1029 check: check-am
1030 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1031 installdirs:
1032         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" "$(DESTDIR)$(libsciapi_scilab_la_includedir)"; do \
1033           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1034         done
1035 install: install-am
1036 install-exec: install-exec-am
1037 install-data: install-data-am
1038 uninstall: uninstall-am
1039
1040 install-am: all-am
1041         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1042
1043 installcheck: installcheck-am
1044 install-strip:
1045         if test -z '$(STRIP)'; then \
1046           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1047             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1048               install; \
1049         else \
1050           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1051             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1052             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1053         fi
1054 mostlyclean-generic:
1055
1056 clean-generic:
1057
1058 distclean-generic:
1059         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1060         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1061
1062 maintainer-clean-generic:
1063         @echo "This command is intended for maintainers to use"
1064         @echo "it deletes files that may require special tools to rebuild."
1065 clean: clean-am
1066
1067 clean-am: clean-generic clean-libtool clean-local \
1068         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1069
1070 distclean: distclean-am
1071         -rm -rf ./$(DEPDIR)
1072         -rm -f Makefile
1073 distclean-am: clean-am distclean-compile distclean-generic \
1074         distclean-local distclean-tags
1075
1076 dvi: dvi-am
1077
1078 dvi-am:
1079
1080 html: html-am
1081
1082 html-am:
1083
1084 info: info-am
1085
1086 info-am:
1087
1088 install-data-am: install-data-local \
1089         install-libsciapi_scilab_la_etcDATA \
1090         install-libsciapi_scilab_la_includeHEADERS \
1091         install-libsciapi_scilab_la_rootDATA
1092
1093 install-dvi: install-dvi-am
1094
1095 install-dvi-am:
1096
1097 install-exec-am: install-pkglibLTLIBRARIES
1098
1099 install-html: install-html-am
1100
1101 install-html-am: install-html-local
1102
1103 install-info: install-info-am
1104
1105 install-info-am:
1106
1107 install-man:
1108
1109 install-pdf: install-pdf-am
1110
1111 install-pdf-am:
1112
1113 install-ps: install-ps-am
1114
1115 install-ps-am:
1116
1117 installcheck-am:
1118
1119 maintainer-clean: maintainer-clean-am
1120         -rm -rf ./$(DEPDIR)
1121         -rm -f Makefile
1122 maintainer-clean-am: distclean-am maintainer-clean-generic
1123
1124 mostlyclean: mostlyclean-am
1125
1126 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1127         mostlyclean-libtool
1128
1129 pdf: pdf-am
1130
1131 pdf-am:
1132
1133 ps: ps-am
1134
1135 ps-am:
1136
1137 uninstall-am: uninstall-libsciapi_scilab_la_etcDATA \
1138         uninstall-libsciapi_scilab_la_includeHEADERS \
1139         uninstall-libsciapi_scilab_la_rootDATA \
1140         uninstall-pkglibLTLIBRARIES
1141
1142 .MAKE: check-am install-am install-strip
1143
1144 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1145         check-local clean clean-generic clean-libtool clean-local \
1146         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1147         ctags ctags-am distclean distclean-compile distclean-generic \
1148         distclean-libtool distclean-local distclean-tags distdir dvi \
1149         dvi-am html html-am info info-am install install-am \
1150         install-data install-data-am install-data-local install-dvi \
1151         install-dvi-am install-exec install-exec-am install-html \
1152         install-html-am install-html-local install-info \
1153         install-info-am install-libsciapi_scilab_la_etcDATA \
1154         install-libsciapi_scilab_la_includeHEADERS \
1155         install-libsciapi_scilab_la_rootDATA install-man install-pdf \
1156         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1157         install-ps-am install-strip installcheck installcheck-am \
1158         installdirs maintainer-clean maintainer-clean-generic \
1159         mostlyclean mostlyclean-compile mostlyclean-generic \
1160         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1161         uninstall-am uninstall-libsciapi_scilab_la_etcDATA \
1162         uninstall-libsciapi_scilab_la_includeHEADERS \
1163         uninstall-libsciapi_scilab_la_rootDATA \
1164         uninstall-pkglibLTLIBRARIES
1165
1166
1167 # This target enables tests for Scilab
1168 check-local: $(top_builddir)/scilab-bin test
1169         if test -d $(mydatadir)/tests; then \
1170           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1171         fi
1172 check-code:
1173         if test -f build.xml; then \
1174                 $(ANT) checkstyle; \
1175         fi
1176         if test -x "$(SPLINT)"; then \
1177                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1178         fi
1179 @NEED_JAVA_TRUE@java:
1180 # Some configurations needs to export JAVA_HOME in the current env
1181 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1182 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1183 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1184 @NEED_JAVA_TRUE@                $(ANT); \
1185 @NEED_JAVA_TRUE@        fi
1186
1187 @NEED_JAVA_TRUE@clean-java:
1188 # Some configurations needs to export JAVA_HOME in the current env
1189 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1190 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1191 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1192 @NEED_JAVA_TRUE@                $(ANT) clean; \
1193 @NEED_JAVA_TRUE@        fi;
1194
1195 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1196 # We call the target swig-build on the variable SWIG_WRAPPERS
1197
1198 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1199 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1200 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1201 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1202 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1203 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1204 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1205 @SWIG_TRUE@             done; \
1206 @SWIG_TRUE@     fi
1207
1208 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1209 # We call the target swig-build on the variable SWIG_WRAPPERS
1210
1211 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1212 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1213 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1214 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1215 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1216 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1217 @GIWS_TRUE@             done; \
1218 @GIWS_TRUE@     fi
1219
1220 @GIWS_TRUE@giws-exception:
1221 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1222 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1223 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1224
1225 macros:
1226         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1227                 echo "Error : Cannot build $< : Scilab has not been built"; \
1228         else \
1229                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1230         fi)
1231
1232 # Removes the macros
1233 clean-macros:
1234 # Removes macros (*.bin generated from .sci)
1235         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1236                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1237                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1238         done
1239
1240 test:
1241 # More tests could be added here
1242         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1243         if test -f build.xml -a $$USEANT -eq 1; then \
1244                 $(ANT) test; \
1245         fi
1246
1247 all-local: $(TARGETS_ALL)
1248
1249 .sci.bin:
1250         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1251         echo "Error : Cannot build $< : Scilab has not been build"; \
1252         else \
1253         echo "Creating $@"; \
1254         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1255         fi )
1256
1257 install-html-local:
1258
1259 install-data-local-local:
1260 # Mainly for javasci
1261         @if test -d $(srcdir)/javadoc; then \
1262                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1263         fi
1264 # If the user wants the help sources to be installed
1265 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1266 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1267 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1268 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1269 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1270 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1271 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1272 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1273 @INSTALL_HELP_XML_TRUE@           done ; \
1274 @INSTALL_HELP_XML_TRUE@         fi; \
1275 @INSTALL_HELP_XML_TRUE@  fi; \
1276 @INSTALL_HELP_XML_TRUE@ done; \
1277 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1278 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1279 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1280 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1281 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1282 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1283 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1284 @INSTALL_HELP_XML_TRUE@           done ; \
1285 @INSTALL_HELP_XML_TRUE@         fi; \
1286 @INSTALL_HELP_XML_TRUE@ fi
1287 install-data-local:
1288 # Install the tests
1289         @echo "-------- Install tests (if any) --------"; \
1290         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1291           if test -d $(srcdir)/$$dir/; then \
1292             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1293                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1294                     if test -d "$(srcdir)/$$dir/$$file"; then \
1295                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1296                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1297                     else \
1298                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1299                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1300                     fi \
1301                   done; \
1302           fi; \
1303         done
1304 # Install the help chapter
1305         @echo "-------- Install the help chapter (if any) --------"; \
1306         for lang in $(HELP_CHAPTERLANG); do \
1307                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1308                 if test -f $$HELPFILE; then \
1309                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1310                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1311                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1312                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1313                 fi; \
1314         done
1315 # Install the demos & examples
1316         @echo "-------- Install demos & examples (if any) --------"; \
1317         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1318           if test -d $(srcdir)/$$dir/; then \
1319             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1320                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1321                     if test -d "$(srcdir)/$$dir/$$file"; then \
1322                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1323                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1324                     else \
1325                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1326                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1327                     fi \
1328                   done; \
1329           fi; \
1330         done
1331 # Install the macros
1332         @echo "-------- Install macros (if any) --------"; \
1333         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1334           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1335                 if test -d $(srcdir)/$$dir/; then \
1336                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1337                         if test -n "$(MACROSSPECIALEXT)"; then \
1338                                 specialExtDir=""; \
1339                                 for specialExt in $(MACROSSPECIALEXT); do \
1340                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1341                                 done; \
1342                                 FILELIST="$$FILELIST $$specialExtDir"; \
1343                         fi; \
1344                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1345                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1346                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1347                   done; \
1348                 fi; \
1349         done
1350 # Install java files (.jar)
1351         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1352         echo "-------- Install jar files --------"; \
1353     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1354           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1355                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1356                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1357           done ; \
1358         fi
1359
1360 ########### CLEAN ###################
1361 # Clean help (generated automatically by Scilab)
1362 # It used to clean the macro (clean-macros) but this was causing
1363 # make clean && make to fail Scilab startup
1364 @NEED_JAVA_TRUE@clean-local: clean-java
1365 @NEED_JAVA_FALSE@clean-local:
1366
1367 distclean-local:
1368         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1369
1370 .PHONY: macros java swig giws
1371
1372 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1373 # Otherwise a system limit (for SysV at least) may be exceeded.
1374 .NOEXPORT: